﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NLScC.ItemSources
{
    public enum FontArt
    {
        CourierNew,
        TimesNewRoman,
        Calibri
    }

    public class FontFamily
    {
        public static FontFamily Fonts { get; private set; }

        static FontFamily()
        {
            Fonts = new FontFamily();
        }

        public FontArt[] Values { get { return ValueArray(); } }

        public FontArt[] ValueArray()
        {
            return new FontArt[] {
                FontArt.Calibri,
                FontArt.CourierNew,
                FontArt.TimesNewRoman
            };
        }
    }
}
