﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace NLScC.converter
{
    class AppWidthAndHeightToSizeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int a = System.Convert.ToInt32(value);
            switch (a)
            {
                case 1:
                    return 80;
                case 2:
                    return 100;
                case 3:
                    return 130;
                case 5:
                    return 180;
                case 6:
                    return 210;
                case 7:
                    return 240;
                case 8:
                    return 280;
                default:
                    return 150;
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int a = System.Convert.ToInt32(value);
            switch (a)
            {
                case 280:
                    return 8;
                case 240:
                    return 7;
                case 210:
                    return 6;
                case 180:
                    return 5;
                case 130:
                    return 3;
                case 100:
                    return 2;
                case 80:
                    return 1;
                default:
                    return 150;
            }
        }
    }
}
