﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace NLScC.converter
{
    [ValueConversion(sourceType:typeof(byte), targetType:typeof(string))]
    public class ImageAlignmentToVisibleStringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int a = System.Convert.ToInt32(value);
            switch (a)
            {
                case 1:
                    return "linksbündig";
                case 2:
                    return "zentriert";
                case 3:
                    return "rechtsbündig";
                default:
                    return "UNDEFINED";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
