﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace NLScC.dialog
{
    /// <summary>
    /// Interaktionslogik für MemberAdministrationDialog.xaml
    /// </summary>
    public partial class MemberAdministrationDialog : Window
    {
        public MemberAdministrationDialog()
        {
            InitializeComponent();
        }

        private void ComboBox_LostFocus(object sender, RoutedEventArgs e)
        {
            (this.FindResource("AdminMember") as NLScC.ViewModel.MemberAdminModelView).Refresh();
        }

        private void FocusOption_GotFocus(object sender, RoutedEventArgs e)
        {
            (sender as TextBox).SelectAll();
        }

        public void SetFocus()
        {
            Task.Delay(300);
            FocusOption.Focus();
            FocusOption.SelectAll();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            SetFocus();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            Task.Delay(100);
            this.DialogResult = true;
        }

        private void Button_Click_2(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }
    }
}
