﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace NLScC.View
{
    /// <summary>
    /// Interaktionslogik für OutlookView.xaml
    /// </summary>
    public partial class OutlookView : UserControl
    {

        public static readonly DependencyProperty ButtonSizeProperty = DependencyProperty.Register("ButtonSize", typeof(byte), typeof(OutlookView), new PropertyMetadata(Convert.ToByte(3)));
        public byte ButtonSize
        {
            get { return (byte)GetValue(ButtonSizeProperty); }
            set
            {
                SetValue(ButtonSizeProperty, value);
            }
        }

        public OutlookView()
        {
            InitializeComponent();
        }
    }
}
