﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace NLScC.View
{
    /// <summary>
    /// Interaktionslogik für ProgramManagerView.xaml
    /// </summary>
    public partial class ProgramManagerView : UserControl
    {

        public static readonly DependencyProperty ButtonSizeProperty = DependencyProperty.Register("ButtonSize", typeof(byte), typeof(ProgramManagerView), new PropertyMetadata(Convert.ToByte(3)));
        public byte ButtonSize
        {
            get { return (byte)GetValue(ButtonSizeProperty); }
            set { SetValue(ButtonSizeProperty, value); }
        }

        public static readonly DependencyProperty AppWidthProperty = DependencyProperty.Register("AppWidth", typeof(byte), typeof(ProgramManagerView), new PropertyMetadata(Convert.ToByte(3)));
        public static readonly DependencyProperty AppHeightProperty = DependencyProperty.Register("AppHeight", typeof(byte), typeof(ProgramManagerView), new PropertyMetadata(Convert.ToByte(3)));
        public static readonly DependencyProperty ImageAlignmentProperty = DependencyProperty.Register("ImageAlignment", typeof(byte), typeof(ProgramManagerView), new PropertyMetadata(Convert.ToByte(3)));
        public static readonly DependencyProperty ImageSizeProperty = DependencyProperty.Register("ImageSize", typeof(byte), typeof(ProgramManagerView), new PropertyMetadata(Convert.ToByte(3)));
        public static readonly new DependencyProperty FontSizeProperty = DependencyProperty.Register("FontSize", typeof(int), typeof(ProgramManagerView), new PropertyMetadata(3));

        public byte AppWidth
        {
            get { return (byte)GetValue(AppWidthProperty); }
            set { SetValue(AppWidthProperty, value); }
        }
        public byte AppHeight
        {
            get { return (byte)GetValue(AppHeightProperty); }
            set { SetValue(AppHeightProperty, value); }
        }
        public byte ImageAlignment
        {
            get { return (byte)GetValue(ImageAlignmentProperty); }
            set { SetValue(ImageAlignmentProperty, value); }
        }
        public byte ImageSize
        {
            get { return (byte)GetValue(ImageSizeProperty); }
            set { SetValue(ImageSizeProperty, value); }
        }
        public new int FontSize
        {
            get { return (byte)GetValue(FontSizeProperty); }
            set { SetValue(FontSizeProperty, value); }
        }



        public ProgramManagerView()
        {
            InitializeComponent();
        }
    }
}
