﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace NLScC.converter
{
    [ValueConversion(sourceType: typeof(byte), targetType: typeof(string))]
    class AppWidthAndHeightToVisibleStringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int a = System.Convert.ToInt32(value);
            switch (a)
            {
                case 1:
                    return "sehr klein";
                case 2:
                    return "klein";
                case 3:
                    return "kleiner";
                case 4:
                    return "normal";
                case 5:
                    return "größer";
                case 6:
                    return "groß";
                case 7:
                    return "sehr groß";
                case 8:
                    return "riesig";
                default:
                    return "UNDEFINED";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
