﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using NLScC.model;

namespace NLScC.converter
{
    [ValueConversion(sourceType: typeof(object), targetType: typeof(bool))]
    class GroupExpanderConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var val = (ReadOnlyObservableCollection<object>)value;
            return val.Any(x => (x as ManagedApplication).Expanded);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
