﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace NLScC.converter
{
    [ValueConversion(sourceType: typeof(byte), targetType: typeof(string))]
    class ImageSizeToVisibleStringConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            int a = System.Convert.ToInt32(value);
            switch (a)
            {
                case 1:
                    return "sehr klein";
                case 2:
                    return "klein";
                case 3:
                    return "kleiner";
                case 5:
                    return "größer";
                case 6:
                    return "groß";
                case 7:
                    return "sehr groß";
                case 8:
                    return "extra groß";
                default:
                    return "normal";

            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string s = (string)value;
            switch (s)
            {
                case "sehr klein":
                    return 1;
                case "klein":
                        return 2;
                case "kleiner":
                    return 3;
                case "größer":
                    return 5;
                case "groß":
                    return 6;
                case "sehr groß":
                    return 7;
                case "extra groß":
                    return 8;
                default:
                    return 4;
            }
        }
    }
}
