﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace NLScC.dialog
{
    /// <summary>
    /// Interaktionslogik für OverrideDialog.xaml
    /// </summary>
    public partial class OverrideDialog : Window
    {
        public enum OverrideMode
        {
            Additional,
            Override
        }


        public OverrideMode OverrideResult;


        public OverrideDialog()
        {
            InitializeComponent();
        }

        private void Override_Click(object sender, RoutedEventArgs e)
        {
            OverrideResult = OverrideMode.Override;
            this.DialogResult = true;
        }

        private void Additional_Click(object sender, RoutedEventArgs e)
        {
            OverrideResult = OverrideMode.Additional;
            this.DialogResult = true;
        }

        private void Cancel_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }
    }
}
