﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NLScC.model
{
    public class PhonebookEntry :NotifyBase
    {
        private string _lastname;
        public string Lastname
        {
            get { return _lastname; }
            set { SetField(ref _lastname, value); }
        }

        private string _prename;
        public string Prename
        {
            get { return _prename; }
            set { SetField(ref _prename, value); }
        }

        private string _company;
        public string Company
        {
            get { return _company; }
            set { SetField(ref _company, value); }
        }

        private string _unit;
        public string Unit
        {
            get { return _unit; }
            set { SetField(ref _unit, value); }
        }

        private string _phone1;
        public string Phone1
        {
            get { return _phone1; }
            set { SetField(ref _phone1, value); }
        }

        private string _mobile;
        public string Mobile
        {
            get { return _mobile; }
            set { SetField(ref _mobile, value); }
        }

        private string _phone2;
        public string Phone2
        {
            get { return _phone2; }
            set { SetField(ref _phone2, value); }
        }

        private string _private1;
        public string Private1
        {
            get { return _private1; }
            set { SetField(ref _private1, value); }
        }

        private string _private2;
        public string Private2
        {
            get { return _private2; }
            set { SetField(ref _private2, value); }
        }

        private string _street;
        public string Street
        {
            get { return _street; }
            set { SetField(ref _street, value); }
        }

        private string _city;
        public string City
        {
            get { return _city; }
            set { SetField(ref _city, value); }
        }

        private string _country;
        public string Country
        {
            get { return _country; }
            set { SetField(ref _country, value); }
        }

        private string _kid;
        public string KID
        {
            get { return _kid; }
            set { SetField(ref _kid, value); }
        }

        private string _mail;
        public string Mail
        {
            get { return _mail;}
            set { SetField(ref _mail, value); }
        }

        private string _supervisor;
        public string Supervisor
        {
            get { return _supervisor; }
            set { SetField(ref _supervisor, value); }
        }


        public PhonebookEntry()
        {

        }

        public PhonebookEntry(string lastname, string prename, string company, string unit, string phone1, string mobile, string phone2, string private1, string private2, string street, string city, string country, string kid, string mail, string supervisor)
        {
            this._lastname = lastname;
            this._prename = prename;
            this._company = company;
            this._unit = unit;
            this._phone1 = phone1;
            this._phone2 = phone2;
            this._private1 = private1;
            this._private2 = private2;
            this._street = street;
            this._city = city;
            this._country = country;
            this._kid = kid;
            this._mail = mail;
            this._supervisor = supervisor;
        }
    }
}
